All of lore.kernel.org
 help / color / mirror / Atom feed
From: Pete Wyckoff <pw@padd.com>
To: git@vger.kernel.org
Subject: [PATCH 1/8] git-p4: test script
Date: Sat, 5 Feb 2011 17:51:05 -0500	[thread overview]
Message-ID: <20110205225105.GB30963@arf.padd.com> (raw)
In-Reply-To: <20110205224848.GA30963@arf.padd.com>

Add a basic test script for git-p4.

Signed-off-by: Pete Wyckoff <pw@padd.com>
---
 t/t9800-git-p4.sh |   62 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 62 insertions(+), 0 deletions(-)
 create mode 100755 t/t9800-git-p4.sh

diff --git a/t/t9800-git-p4.sh b/t/t9800-git-p4.sh
new file mode 100755
index 0000000..f4956b7
--- /dev/null
+++ b/t/t9800-git-p4.sh
@@ -0,0 +1,62 @@
+#!/bin/sh
+
+test_description='git-p4 tests'
+
+. ./test-lib.sh
+
+p4 -h >/dev/null 2>&1
+retc=$?
+p4d -h >/dev/null 2>&1
+retd=$?
+if test $retc -ne 0 -o $retd -ne 0
+then
+	skip_all='skipping git-p4 tests; no p4 or p4d'
+	test_done
+fi
+
+GITP4=$GIT_BUILD_DIR/contrib/fast-import/git-p4
+P4DPORT=10669
+
+db="$TRASH_DIRECTORY/db"
+cli="$TRASH_DIRECTORY/cli"
+git="$TRASH_DIRECTORY/git"
+
+test_debug 'echo p4d -q -d -r "$db" -p $P4DPORT'
+test_expect_success setup '
+	mkdir -p "$db" &&
+	p4d -q -d -r "$db" -p $P4DPORT &&
+	# wait for it to finish its initialization
+	sleep 1 &&
+	mkdir -p "$cli" &&
+	mkdir -p "$git" &&
+	export P4PORT=localhost:$P4DPORT
+'
+
+test_expect_success 'add p4 files' '
+	cd "$cli" &&
+	p4 client -i <<-EOF &&
+	Client: client
+	Description: client
+	Root: $cli
+	View: //depot/... //client/...
+	EOF
+	export P4CLIENT=client &&
+	echo file1 >file1 &&
+	p4 add file1 &&
+	p4 submit -d "file1" &&
+	cd "$TRASH_DIRECTORY"
+'
+
+test_expect_success 'basic git-p4 clone' '
+	"$GITP4" clone --dest="$git" //depot &&
+	rm -rf "$git" && mkdir "$git"
+'
+
+test_expect_success 'shutdown' '
+	pid=`pgrep -f p4d` &&
+	test -n "$pid" &&
+	test_debug "ps wl `echo $pid`" &&
+	kill $pid
+'
+
+test_done
-- 
1.7.2.3

  reply	other threads:[~2011-02-05 22:51 UTC|newest]

Thread overview: 18+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2011-02-05 22:48 [PATCH 0/8] git-p4 fixes and enhancements Pete Wyckoff
2011-02-05 22:51 ` Pete Wyckoff [this message]
2011-02-06 18:00   ` [PATCH 1/8] git-p4: test script Vitor Antunes
2011-02-07  2:22   ` Junio C Hamano
2011-02-07 22:26     ` Pete Wyckoff
2011-02-05 22:51 ` [PATCH 2/8] git-p4: fix key error for p4 problem Pete Wyckoff
2011-02-05 22:51 ` [PATCH 3/8] git-p4: add missing newline in initial import message Pete Wyckoff
2011-02-08  8:48   ` Tor Arvid Lund
2011-02-05 22:52 ` [PATCH 4/8] git-p4: accommodate new move/delete type in p4 Pete Wyckoff
2011-02-08  8:52   ` Tor Arvid Lund
2011-02-05 22:52 ` [PATCH 5/8] git-p4: reinterpret confusing p4 message Pete Wyckoff
2011-02-05 22:52 ` [PATCH 6/8] git-p4: better message for "git-p4 sync" when not cloned Pete Wyckoff
2011-02-08  8:55   ` Tor Arvid Lund
2011-02-05 22:52 ` [PATCH 7/8] git-p4: decode p4 wildcard characters Pete Wyckoff
2011-02-08  9:09   ` Tor Arvid Lund
2011-02-08 23:26     ` Pete Wyckoff
2011-02-05 22:52 ` [PATCH 8/8] git-p4: support clone --bare Pete Wyckoff
2011-02-08  9:18   ` Tor Arvid Lund

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20110205225105.GB30963@arf.padd.com \
    --to=pw@padd.com \
    --cc=git@vger.kernel.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.